Bug 1023048 - Upgrade from ovirt-engine-3.3 to master fails
Upgrade from ovirt-engine-3.3 to master fails
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Eli Mesika
Jiri Belka
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 09:48 EDT by Eli Mesika
Modified: 2016-02-10 14:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:19:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20525 None None None Never

  None (edit)
Description Eli Mesika 2013-10-24 09:48:16 EDT
Description of problem:
Upgrade from ovirt-engine-3.3 to master fails

Creating views...
psql:create_views.sql:597: ERROR:  column vm_dynamic.cpu_name does not exist
LINE 30: ...ce as is_run_once, vm_dynamic.vm_fqdn as vm_fqdn, vm_dynamic...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create an empty database 
2. run create_schema.sh on ovirt-engine-3.3 branch
3. switch to master
4. run upgrade.sh 

Actual results:
psql:create_views.sql:597: ERROR:  column vm_dynamic.cpu_name does not exist
LINE 30: ...ce as is_run_once, vm_dynamic.vm_fqdn as vm_fqdn, vm_dynamic...

Expected results:
Upgrade succeeded 

Additional info:
Comment 1 Eli Mesika 2013-10-24 10:26:09 EDT
This bug is a result of two errors 

1) naming new upgrade scripts in master branch with 03_03 prefix
2) naming new upgrade scripts in ovirt-engine-3.3 stable branch with 03_04
Comment 2 Eli Mesika 2013-11-06 04:47:43 EST
(In reply to Eli Mesika from comment #1)
> This bug is a result of two errors 
> 
> 1) naming new upgrade scripts in master branch with 03_03 prefix
> 2) naming new upgrade scripts in ovirt-engine-3.3 stable branch with 03_04

2) was a result of a corrupted git branch , problem was solved in master

Note You need to log in before you can comment on or make changes to this bug.